Jump to content

Photo

Which NVSE to Use?

nvse xnvse johnnyguitar nvse

  • Please log in to reply
5 replies to this topic

#1
Xemas12

Xemas12

    Stranger

  • Members
  • Pip
  • 6 posts

I've seen multiple NVSEs and wasn't sure which is recommended or if they somehow work together. I have downloaded Pickysaurus' NVSE but I see some mods require xNVSE and JohnnyGuitar NVSE. Can someone please help me understand how these work? If I need all of them or if one is preferred? Thank you!



#2
wfandrews

wfandrews

    Faithful poster

  • Premium Member
  • 1,172 posts

You acquire nvse "New Vegas Script Extender" from silverlock.org. Johnny Guitar is a mod that requires nvse it is not an nvse, as Pickysaurus is not I assume as I have no knowledge of that mod. As far as I know there is only one nvse. You should go to the site I mentioned and download and install it as there are many mods which require it, such as the two you cited.

 

After downloading and installing nvse it will depend on which mod manager you are using as to how you launch your game in order for nvse to run.

 

Just googled Pickysarus and found that he is a mod author and contributor to Nexus forums, sorry about calling him a mod.

 

Where are you getting your information from?



#3
HadToRegister

HadToRegister

    Awake at stupid o'clock

  • Premium Member
  • 19,579 posts

You acquire nvse "New Vegas Script Extender" from silverlock.org. Johnny Guitar is a mod that requires nvse it is not an nvse, as Pickysaurus is not I assume as I have no knowledge of that mod. As far as I know there is only one nvse. You should go to the site I mentioned and download and install it as there are many mods which require it, such as the two you cited.

 

After downloading and installing nvse it will depend on which mod manager you are using as to how you launch your game in order for nvse to run.

 

 

There's a Continuation of NVSE on GitHub called Xnvse

Use it if a mod specifically calls for it, otherwise can can use Nvse from silverlock.

 



#4
dubiousintent

dubiousintent

    Resident poster

  • Premium Member
  • 8,878 posts

The original NVSE found on the Silverlock site has not been updated in years (least not since I started playing FNV in 2014).  And while it works well in general, it has problems.  Which is why the xNVSE team "forked" their own version off the original with full backwards compatibility and additional features and fixes.  That team consists of people who have been adding to and expanding the functionality of NVSE for years; recognizable names such as korri123 (aka Kormákur) and jazzisparis, with contributions from lStewieAl, c6 and carxt.

 

To date I have not seen any problems posted in the forum traceable back to the xNVSE version that are not also in the original version.

 

BTW: Pickysaurus did not publish a version of NVSE.  He merely provided a "Nexus mod page" that "was created to provide metadata about NVSE, you must download NVSE from GitHub or http://nvse.silverlock.org/ listed under "Mirrors" above."

 

-Dubious-


Edited by dubiousintent, 20 January 2021 - 04:27 AM.


#5
wfandrews

wfandrews

    Faithful poster

  • Premium Member
  • 1,172 posts

This is the first time I have heard of xNVSE so I downloaded it but need advice on installing it.

 

Should I delete the old NVSE files and then install these or could I just overwrite those files  with the new ones? I am just starting a new game so I would not think there would be any problems shifting to this NVSE.



#6
dubiousintent

dubiousintent

    Resident poster

  • Premium Member
  • 8,878 posts

"Backwards compatible" means you can just overwrite.  Both use the same filenames.

 

-Dubious-







Also tagged with one or more of these keywords: nvse, xnvse, johnnyguitar nvse

IPB skins by Skinbox
Page loaded in: 1.113 seconds